## cl-sql 2.11.6

=== Makefile ===
# FILE IDENTIFICATION
# 
#  Name:         Makefile
#  Purpose:      Makefile for the CLSQL package
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 9336 2004-05-13 06:55:48Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002-2004 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

PKG	:= clsql
DEBPKG	:= cl-sql
SUBDIRS	:= sql tests uffi db-mysql db-aodbc db-odbc \
	   db-postgresql db-postgresql-socket db-sqlite
DOCSUBDIRS:=doc

include Makefile.common

LIBSUBDIRS=db-mysql uffi
.PHONY: subdirs $(LIBSUBDIRS)

.PHONY: all
all: $(LIBSUBDIRS)

$(LIBSUBDIRS):
	$(MAKE) -C $@

SOURCE_FILES=interfaces sql cmucl-compat doc test-suite Makefile VERSION \
	COPYING.CLSQL COPYING.MaiSQL README INSTALL ChangeLog NEWS TODO \
	set-logical.cl clsql-uffi.system \
	clsql.system clsql-aodbc.system clsql-mysql.system \
	clsql-postgresql.system clsql-postgresql-socket.system

.PHONY: doc
doc:
	$(MAKE) -C doc

.PHONY:dist
dist: clean
	@$(MAKE) -C doc $@

=== db-mysql/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL MySQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 9369 2004-05-16 07:02:10Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=mysql
source=$(base).c
object=$(base).o
shared_lib=$(base).so

.PHONY: all
all: $(shared_lib)

$(shared_lib): $(source) Makefile
	CFLAGS="-I /usr/include/mysql -I /usr/local/include/mysql" LDFLAGS="-L/usr/local/lib/mysql -L/usr/lib/mysql -lmysqlclient" BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
	rm $(object)

.PHONY: distclean
distclean: clean
	rm -f $(base).dylib $(base).dylib $(base).so $(base).o

=== doc/Makefile ===
##############################################################################
# FILE IDENTIFICATION
# 
#  Name:         Makefile
#  Purpose:      Makefile for the clsql documentation
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 9541 2004-06-04 01:11:49Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##############################################################################

DOCFILE_BASE_DEFAULT:=clsql
DOCFILE_EXT_DEFAULT:=xml


# Standard docfile processing

DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
SUSE91=$(shell expr "`cat /etc/issue`" : '.*SuSE Linux 9.1.*')
REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')

ifneq (${DEBIAN},0)
OS:=debian
else
  ifneq (${SUSE91},0)
    OS=suse91
  else
    ifneq (${SUSE},0)
      OS=suse
    else   
      ifneq (${REDHAT},0)
        OS=redhat
      endif
    endif
  endif
endif


ifndef DOCFILE_BASE
DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
endif

ifndef DOCFILE_EXT
DOCFILE_EXT=${DOCFILE_EXT_DEFAULT}
endif

DOCFILE:=${DOCFILE_BASE}.${DOCFILE_EXT}
FOFILE:=${DOCFILE_BASE}.fo
PDFFILE:=${DOCFILE_BASE}.pdf
PSFILE:=${DOCFILE_BASE}.ps
DVIFILE:=${DOCFILE_BASE}.dvi
TXTFILE:=${DOCFILE_BASE}.txt
HTMLFILE:=${DOCFILE_BASE}.html
TMPFILES:=${DOCFILE_BASE}.aux ${DOCFILE_BASE}.out ${DOCFILE_BASE}.log
DOCFILES:=$(shell echo *.xml *.xsl)

ifeq ($(XSLTPROC),)
  XSLTPROC:=xsltproc
endif

CATALOG:=`pwd`/catalog-${OS}.xml
CHECK:=XML_CATALOG_FILES="$(CATALOG)" xmllint --noout --xinclude --postvalid $(DOCFILE) || exit 1

.PHONY: all
all: html pdf 

.PHONY: dist
dist: html pdf

.PHONY: doc
doc: html pdf

.PHONY: check
check:
	@echo "Operating system detected: ${OS}"
	@$(CHECK)

.PHONY: html
html: html.tar.gz

html.tar.gz: $(DOCFILES) Makefile 
	@rm -rf html
	@mkdir html
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
	@GZIP='-9' tar czf html.tar.gz html 

.PHONY: fo
fo: ${FOFILE}

${FOFILE}: $(DOCFILES) Makefile 
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)

.PHONY: pdf
pdf: ${PDFFILE}

${PDFFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -pdf $(PDFFILE) > /dev/null

.PHONY: dvi
dvi: ${DVIFILE}

.PHONY: ps
ps: ${PSFILE}

${PSFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -ps $(PSFILE) > /dev/null


.PHONY: txt
txt: ${TXTFILE}

${TXTFILE}: ${FOFILE}
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output ${HTMLFILE} html.xsl $(DOCFILE)
	lynx -dump ${HTMLFILE} > ${TXTFILE}

.PHONY: clean
clean: 
	@rm -f *~ *.bak *.orig \#*\# .\#* texput.log
	@rm -rf html ${PSFILE} ${HTMLFILE}
	@rm -f ${TMPFILES} ${FOFILE}
	@rm -f  ${DVIFILE} ${TXTFILE}

.PHONY: distclean
distclean: clean

## cl-sql 3.1.2

=== db-mysql/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9369 2004-05-16 07:02:10Z kevin $
+#  CVS Id:   $Id: Makefile 9927 2004-08-27 12:25:03Z kevin $
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
@@ -26,7 +26,7 @@
 all: $(shared_lib)
 
 $(shared_lib): $(source) Makefile
-	CFLAGS="-I /usr/include/mysql -I /usr/local/include/mysql" LDFLAGS="-L/usr/local/lib/mysql -L/usr/lib/mysql -lmysqlclient" BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
+	CFLAGS="-I /usr/include/mysql -I /usr/local/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql" LDFLAGS="-L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -lmysqlclient" BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
 	rm $(object)
 
 .PHONY: distclean

=== uffi/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL UFFI interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 8153 2003-11-11 15:28:36Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=uffi
source=$(base).c
object=$(base).o
shared_lib=$(base).so

.PHONY: all
all: $(shared_lib)

$(shared_lib): $(source) Makefile
	BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
	rm $(object)

.PHONY: distclean
distclean: clean
	rm -f $(base).dylib $(base).dylib $(base).so $(base).o

## cl-sql 3.5.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9336 2004-05-13 06:55:48Z kevin $
+#  CVS Id:   $Id: Makefile 9625 2004-06-14 17:19:54Z marcusp $
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2004 by Kevin M. Rosenberg
 #
@@ -16,7 +16,8 @@
 PKG	:= clsql
 DEBPKG	:= cl-sql
 SUBDIRS	:= sql tests uffi db-mysql db-aodbc db-odbc \
-	   db-postgresql db-postgresql-socket db-sqlite
+	   db-postgresql db-postgresql-socket db-sqlite \
+           db-oracle 
 DOCSUBDIRS:=doc
 
 include Makefile.common

=== db-db2/Makefile ===
# FILE IDENTIFICATION
#
#  Name:    Makefile
#  Purpose: Makefile for CLSQL Db2 interface
#  Author:  Kevin M. Rosenberg
#  Created: May 2004
#
#  CVS Id:   $Id: Makefile 9517 2004-05-29 15:31:36Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== db-mysql/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL MySQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 10582 2005-06-08 20:10:25Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=clsql_mysql
source=$(base).c
object=$(base).o
shared_lib=$(base).so


.PHONY: all
all: $(shared_lib)

$(shared_lib): $(source) Makefile
	CFLAGS="-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql" LDFLAGS="-L/usr/local/lib64/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -lmysqlclient -lz -lc" BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
	rm $(object)

.PHONY: distclean
distclean: clean
	rm -f $(base).dylib $(base).dylib $(base).so $(base).o

=== db-oracle/Makefile ===
# FILE IDENTIFICATION
#
#  Name:    Makefile
#  Purpose: Makefile for CLSQL Oracle interface
#  Author:  Kevin M. Rosenberg
#  Created: May 2004
#
#  CVS Id:   $Id: Makefile 9476 2004-05-25 08:41:56Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9541 2004-06-04 01:11:49Z kevin $
+#  CVS Id:   $Id: Makefile 9990 2004-09-10 08:44:24Z kevin $
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
 #
@@ -21,10 +21,13 @@
 
 # Standard docfile processing
 
-DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
-SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
-SUSE91=$(shell expr "`cat /etc/issue`" : '.*SuSE Linux 9.1.*')
-REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')
+DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
+SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
+SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
+REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
+MANDRAKE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Mandrake.*')
+DARWIN=$(shell expr "`uname -a`" : '.*Darwin.*')
+
 
 ifneq (${DEBIAN},0)
 OS:=debian
@@ -37,11 +40,18 @@
     else   
       ifneq (${REDHAT},0)
         OS=redhat
+      else   
+        ifneq (${MANDRAKE},0)
+          OS=mandrake
+	else   
+          ifneq (${DARWIN},0)
+            OS=darwin
+	  endif 
+        endif
       endif
     endif
   endif
 endif
-
 
 ifndef DOCFILE_BASE
 DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}

=== tests/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL SQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 9450 2004-05-23 10:51:02Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== uffi/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 8153 2003-11-11 15:28:36Z kevin $
+#  CVS Id:   $Id: Makefile 10582 2005-06-08 20:10:25Z kevin $
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
@@ -17,7 +17,7 @@
 
 include ../Makefile.common
 
-base=uffi
+base=clsql_uffi
 source=$(base).c
 object=$(base).o
 shared_lib=$(base).so
@@ -26,7 +26,7 @@
 all: $(shared_lib)
 
 $(shared_lib): $(source) Makefile
-	BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
+	BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) LDFLAGS="-lc" sh make.sh
 	rm $(object)
 
 .PHONY: distclean

=== examples/sqlite3/init-func/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for SQLite 3 init function example.
#  Programer:    Aurelio Bignoli
#  Date Started: Oct 2004
#
#  CVS Id:   $Id: Makefile 10191 2004-12-07 06:11:55Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2004 by Aurelio Bignoli
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

sqlite3-utils.so:	iso-8859-15-coll.c Makefile
	gcc -c -fPIC iso-8859-15-coll.c -o iso-8859-15-coll.o
	gcc -shared iso-8859-15-coll.o -o sqlite3-utils.so -l sqlite3

## cl-sql 3.7.8

=== db-mysql/Makefile ===
#!/usr/bin/make
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL MySQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 11072 2006-08-30 19:04:20Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=clsql_mysql
source=$(base).c
object=$(base).o
shared_lib=$(base).so


.PHONY: all
all: $(shared_lib)

CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql
LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc 

ifneq ($(OS_CYGWIN),0)
  CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
  LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lpthread -lz -lm -lgcc -lc
endif

$(shared_lib): $(source) Makefile
ifneq ($(OS_AIX),0)
	gcc $(CFLAGS) -c -D_BSD -D_NO_PROTO -D_NONSTD_TYPES -D_MBI=void $(source)
	make_shared $(LDFLAGS) -o $(shared_lib) $(object)
else
  ifneq ($(OS_SUNOS),0)
	cc $(CFLAGS) -KPIC -c $(source) -o $(object)
	cc -G $(object) $(LDFLAGS) -o $(shared_lib)
  else
    ifneq ($(OS_DARWIN),0)
	cc $(CFLAGS) -dynamic -c $(source) -o $(object)
	ld -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress -o $(base).dylib $(object)
	ld -bundle /usr/lib/bundle1.o $(LDFLAGS) -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib
    else
      ifneq ($(OS_CYGWIN),0)
	gcc $(CFLAGS) -DWIN32 -c $(source) -o $(object)
	ld -shared -soname=$(base)  $(object) $(LDFLAGS) -o $(shared_lib)
      else
	gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
	ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared_lib)
      endif
    endif
  endif
endif
	rm $(object)

.PHONY: distclean
distclean: clean
	rm -f $(base).dylib $(base).dylib $(base).so $(base).o

=== uffi/Makefile ===
#!/usr/bin/make
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL UFFI interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 11058 2006-08-30 08:05:21Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2002-2006 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=clsql_uffi
source=$(base).c
object=$(base).o
shared_lib=$(base).so

.PHONY: all
all: $(shared_lib)

$(shared_lib): $(source) Makefile
ifneq ($(OS_AIX),0)
	gcc -c -D_BSD -D_NO_PROTO -D_NONSTD_TYPES -D_MBI=void $(source)
	make_shared -o $(shared_lib) $(object)
else
  ifneq ($(OS_SUNOS),0)
	cc -KPIC -c $(source) -o $(object)
	cc -G $(object) -o $(shared_lib)
  else
    ifneq ($(OS_DARWIN),0)
	cc -dynamic -c $(source) -o $(object)
	ld -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress -o $(base).dylib $(object)
	ld -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib
    else
      ifneq ($(OS_CYGWIN),0)
	gcc -c $(source) -o $(object)
	ld -shared -soname=$(base) $(LDFLAGS) $(object) -o $(shared_lib)
      else
	gcc -fPIC -DPIC -c $(source) -o $(object)
	ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)
      endif
    endif
  endif
endif
	rm $(object)


.PHONY: distclean
distclean: clean
	rm -f $(base).dylib $(base).dylib $(base).so $(base).o

## cl-sql 3.8.4

=== db-mysql/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 11072 2006-08-30 19:04:20Z kevin $
+#  CVS Id:   $Id: Makefile 11496 2007-01-19 21:58:43Z kevin $
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
@@ -27,8 +27,8 @@
 .PHONY: all
 all: $(shared_lib)
 
-CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql
-LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc 
+CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /usr/local/mysql/include
+LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc 
 
 ifneq ($(OS_CYGWIN),0)
   CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include

## cl-sql 4.0.3

=== db-mysql/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 11496 2007-01-19 21:58:43Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #

## cl-sql 4.0.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9625 2004-06-14 17:19:54Z marcusp $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2004 by Kevin M. Rosenberg
 #

=== db-db2/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Author:  Kevin M. Rosenberg
 #  Created: May 2004
 #
-#  CVS Id:   $Id: Makefile 9517 2004-05-29 15:31:36Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
 #

=== db-mysql/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 all: $(shared_lib)
 
 CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /usr/local/mysql/include
-LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc 
+LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/mysql/lib32 -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
 
 ifneq ($(OS_CYGWIN),0)
   CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include

=== db-odbc/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL SQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id$
#
# This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== db-oracle/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Author:  Kevin M. Rosenberg
 #  Created: May 2004
 #
-#  CVS Id:   $Id: Makefile 9476 2004-05-25 08:41:56Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
 #

=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9990 2004-09-10 08:44:24Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
 #
@@ -98,7 +98,7 @@
 html.tar.gz: $(DOCFILES) Makefile 
 	@rm -rf html
 	@mkdir html
-	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
+	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding UTF-8 \
 		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
 	@GZIP='-9' tar czf html.tar.gz html

=== uffi/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 11058 2006-08-30 08:05:21Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2006 by Kevin M. Rosenberg
 #

=== examples/sqlite3/init-func/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Aurelio Bignoli
 #  Date Started: Oct 2004
 #
-#  CVS Id:   $Id: Makefile 10191 2004-12-07 06:11:55Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2004 by Aurelio Bignoli
 #

## cl-sql 4.2.0

=== db-mysql/Makefile ===
--- 
+++ 
@@ -5,8 +5,6 @@
 #  Purpose:      Makefile for CLSQL MySQL interface
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
-#
-#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
@@ -22,13 +20,17 @@
 source=$(base).c
 object=$(base).o
 shared_lib=$(base).so
+shared64_lib=$(base)64.so
 
 
 .PHONY: all
 all: $(shared_lib)
 
-CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /usr/local/mysql/include
-LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/mysql/lib32 -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
+CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include
+LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/mysql/lib32 -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
+
+CFLAGS32=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
+LDFLAGS32=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc
 
 ifneq ($(OS_CYGWIN),0)
   CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
@@ -53,13 +55,22 @@
 	gcc $(CFLAGS) -DWIN32 -c $(source) -o $(object)
 	ld -shared -soname=$(base)  $(object) $(LDFLAGS) -o $(shared_lib)
       else
-	gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
-	ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared_lib)
+        ifneq ($(OS_LINUX64),0)
+	  gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
+	  ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared64_lib)
+	  rm $(object)
+	  @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
+	  -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
+	  -ld -shared -soname=$(base) $(object) $(LDFLAGS32) -o $(shared_lib)
+        else
+	  gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
+	  ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared_lib)
+        endif
       endif
     endif
   endif
 endif
-	rm $(object)
+	rm -f $(object)
 
 .PHONY: distclean
 distclean: clean

=== doc/Makefile ===
--- 
+++ 
@@ -106,7 +106,7 @@
 fo: ${FOFILE}
 
 ${FOFILE}: $(DOCFILES) Makefile 
-	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)
+	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --stringparam fop1.extensions 1 --output $(FOFILE) fo.xsl $(DOCFILE)
 
 .PHONY: pdf
 pdf: ${PDFFILE}

=== uffi/Makefile ===
--- 
+++ 
@@ -5,8 +5,6 @@
 #  Purpose:      Makefile for CLSQL UFFI interface
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
-#
-#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2006 by Kevin M. Rosenberg
 #
@@ -22,6 +20,7 @@
 source=$(base).c
 object=$(base).o
 shared_lib=$(base).so
+shared64_lib=$(base)64.so
 
 .PHONY: all
 all: $(shared_lib)
@@ -44,19 +43,24 @@
 	gcc -c $(source) -o $(object)
 	ld -shared -soname=$(base) $(LDFLAGS) $(object) -o $(shared_lib)
       else
-	gcc -fPIC -DPIC -c $(source) -o $(object)
-	ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)
+        ifneq ($(OS_LINUX64),0)
+	  gcc -fPIC -DPIC -c $(source) -o $(object)
+	  ld -shared -soname=$(base) -lc $(object) -o $(shared64_lib)
+	  rm -f $(object)
+	  @echo "Ensure that you have multiarch i386 build tools if you want to build 32-bit library"
+	  -gcc -m32 -fPIC -DPIC -c $(source) -o $(object)
+	  -ld -melf_i386 -shared -soname=$(base) -lc $(object) -o $(shared_lib)
+        else
+	  gcc -fPIC -DPIC -c $(source) -o $(object)
+	  ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)
+        endif
       endif
     endif
   endif
 endif
-	rm $(object)
+	rm -f $(object)
 
 
 .PHONY: distclean
 distclean: clean
 	rm -f $(base).dylib $(base).dylib $(base).so $(base).o
-
-
-
-

## cl-sql 5.1.1

=== debian/changelog ===
cl-sql (5.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 May 2010 15:20:38 -0600

cl-sql (5.1.0-1) unstable; urgency=low

  * New upstream - depends on UFFI 2.x

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Apr 2010 12:37:13 -0600

cl-sql (5.0.6-1) unstable; urgency=low

  * New upstream
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 16 Apr 2010 00:44:41 -0600

cl-sql (5.0.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 21 Mar 2010 01:11:20 -0600

cl-sql (5.0.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Feb 2010 10:02:14 -0700

cl-sql (5.0.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 11 Feb 2010 15:18:04 -0700

cl-sql (5.0.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 16:18:52 -0700

cl-sql (5.0.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 22:34:13 -0700

cl-sql (5.0.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 02:48:20 -0700

cl-sql (4.3.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 29 Jan 2010 16:48:24 -0700

cl-sql (4.3.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 28 Jan 2010 18:36:06 -0700

cl-sql (4.3.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 28 Jan 2010 15:10:11 -0700

cl-sql (4.3.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 07 Jan 2010 11:03:33 -0700

cl-sql (4.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Dec 2009 17:03:31 -0700

cl-sql (4.1.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Nov 2009 00:41:04 -0700

cl-sql (4.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 04 Sep 2009 13:02:14 -0600

cl-sql (4.1.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 31 Aug 2009 22:43:56 -0600

cl-sql (4.0.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 31 Aug 2009 14:36:30 -0600

cl-sql (4.0.5-5) unstable; urgency=low

  * debian/rules: Fix bug introduced by change to dh-lisp (closes:540816)
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 10 Aug 2009 10:05:16 -0600

cl-sql (4.0.5-4) unstable; urgency=low

  * debian/control:
    - Add Vcs-Browser field
    - Convert to dh-lisp
  * debian/rules:
    - Simplify install rules utilizing more debhelper functions
    - Convert to dh-lisp

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 04 Aug 2009 02:21:14 -0600

cl-sql (4.0.5-3) unstable; urgency=low

  * control: Update debhelper compat to 7, add Homepage and Vgs-Git
  fields.
  * rules: update to DH 7 compatible

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 00:21:45 -0600

cl-sql (4.0.5-2) unstable; urgency=low

  * Change section from devel to lisp
  * Update debhelper compat version to 5
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 26 Jul 2009 20:28:14 -0600

cl-sql (4.0.5-1) unstable; urgency=low

  * New upstream version
  * Change build dependency to be independent of libmysqlclient version
  (closes:538459)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 26 Jul 2009 17:30:19 -0600

cl-sql (4.0.4-1) unstable; urgency=low

  * Update Oracle FFI based on changes in CLSQL. Thanks to Paul
  Metcalfe, Liam Healy, and Alan Salewski (closes:481029)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 07 Mar 2009 13:32:00 -0700

cl-sql (4.0.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 11 Dec 2007 18:14:13 -0700

cl-sql (4.0.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 23 Oct 2007 08:01:21 -0600

cl-sql (4.0.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 17 Sep 2007 08:53:42 -0600

cl-sql (4.0.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 14 Sep 2007 11:55:03 -0600

cl-sql (3.8.6.1-4) unstable; urgency=low

  * make package binNMU safe (closes:435968)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 28 Aug 2007 08:40:23 -0600

cl-sql (3.8.6.1-3) unstable; urgency=low

  * debian/control: actually use the binary:Version for any-to-any dependencies
  (closes:434812)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Jul 2007 16:55:29 -0600

cl-sql (3.8.6.1-2) unstable; urgency=low

  * debian/control: Tighten version dependencies. Convert source:Version to
  binary:Version for any-to-any dependencies. Revert changes in 3.8.6.1-1
  (closes:434358)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 23 Jul 2007 11:59:21 -0600

cl-sql (3.8.6.1-1) unstable; urgency=low

  * debian/control: Change architecture of binary packages which
  depend on cl-sql-uffi from 'all' to 'any' since cl-sql-uffi is 'any'.
  Without this change, packages which depend on cl-sql-uffi can become
  uninstallable if the autobuilder fails to build the 'any' cl-sql-uffi
  and the dependant 'all' package gets upgraded. (closes: 433907)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Jul 2007 11:37:13 -0600

cl-sql (3.8.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 20 Jul 2007 17:17:32 -0600

cl-sql (3.8.5-2) unstable; urgency=low

  * debian/watch: New version

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Jul 2007 20:26:08 -0600

cl-sql (3.8.5-1) unstable; urgency=low

  * debian/control: Add libmysqlclient15-dev as dependency for cl-sql-mysql
    since clsql-mysql modules depends on finding the .so files to load



=== debian/control ===
Source: cl-sql
Section: lisp
Priority: extra
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
Standards-Version: 3.8.4.0
Homepage: http://clsql.b9.com/
Vcs-Git: git://git.b9.com/clsql.git
Vcs-Browser: http://git.b9.com/?p=clsql.git

Package: cl-sql
Architecture: all
Depends: ${misc:Depends}
Recommends: cl-sql-backend
Description: SQL Interface for Common Lisp
 CLSQL is a Common Lisp interface for multiple SQL databases
 on multiple Common Lisp implementations. It uses the UFFI
 foreign language interface.

Package: cl-sql-uffi
Architecture: any
Depends: cl-uffi (>= 1.5.11), cl-sql (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: cl-sql-backend
Description: Common UFFI functions for CLSQL database backends
 This package provides an interface to several UFFI functions used by multiple
 CLSQL database backends.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-mysql
Architecture: any
Depends: cl-sql (= ${source:Version}), cl-sql-uffi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmysqlclient-dev
Provides: cl-sql-backend
Description: CLSQL database backend, MySQL
 This package enables you to use the CLSQL data access package
 with MySQL databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-aodbc
Architecture: all
Depends: cl-sql (= ${source:Version}), cl-sql-mysql, cl-sql-postgresql, ${misc:Depends}
Provides: cl-sql-backend
Suggests: acl-pro-installer
Description: CLSQL database backend, AODBC
 This package enables you to use the CLSQL data access package
 with AllegroCL's AODBC databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-odbc
Architecture: all
Depends: cl-sql (= ${source:Version}), unixodbc-dev, cl-sql-mysql, cl-sql-postgresql, ${misc:Depends}
Provides: cl-sql-backend
Suggests: acl-pro-installer
Description: CLSQL database backend, ODBC
 This package enables you to use the CLSQL data access package
 with ODBC databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-postgresql
Architecture: all
Depends: cl-sql (= ${source:Version}), libpq-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, PostgreSQL via library
 This package enables you to use the CLSQL data access package
 with PostgreSQL databases using the PostgreSQL client library.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-postgresql-socket
Architecture: all
Depends: cl-sql (= ${source:Version}), cl-md5, cl-sql-uffi (>= ${source:Version}), libc6-dev, ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, PostgreSQL via sockets
 This package enables you to use the CLSQL data access package
 with PostgreSQL databases via a socket interface to the PostgreSQL
 server.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-sqlite
Architecture: all
Depends: cl-sql (= ${source:Version}), libsqlite0-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, SQLite
 This package enables you to use the CLSQL data access package
 with SQLite databases. 
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-sqlite3
Architecture: all
Depends: cl-sql (= ${source:Version}), libsqlite3-dev, cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, SQLite3
 This package enables you to use the CLSQL data access package
 with SQLite3 databases. 
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-oracle
Section: contrib/lisp
Architecture: all
Depends: cl-sql (= ${source:Version}), cl-sql-uffi (>= ${source:Version}), ${misc:Depends}
Provides: cl-sql-backend
Description: CLSQL database backend, Oracle
 This package enables you to use the CLSQL data access package
 with Oracle databases.
 CLSQL is a Common Lisp interface to SQL databases.

Package: cl-sql-tests
Architecture: all
Depends: cl-sql, cl-sql-postgresql, cl-sql-postgresql-socket, cl-sql-mysql, cl-sql-sqlite, cl-sql-odbc, cl-rt, ${misc:Depends}
Suggests: acl-installer, libmyodbc, unixodbc,cl-sql-aodbc 
Description: Testing suite for CLSQL
 This package contains a test suite for CLSQL. It requires manual
 configuration of MySQL and PostgreSQL databases to execute.
 A configured, licensed version of AllegroCL with ODBC setup is
 required to test the clsql-aodbc interface. See the
 /usr/share/doc/cl-sql-tests/README file if you want to try
 running these regression tests.

=== debian/rules ===
#!/usr/bin/make -f

plain-pkg	:= clsql

pkg		:= cl-sql
pkg-uffi	:= cl-sql-uffi
pkg-mysql	:= cl-sql-mysql
pkg-pg		:= cl-sql-postgresql
pkg-pg-socket	:= cl-sql-postgresql-socket
pkg-aodbc	:= cl-sql-aodbc
pkg-odbc	:= cl-sql-odbc
pkg-sqlite	:= cl-sql-sqlite
pkg-sqlite3	:= cl-sql-sqlite3
pkg-oracle	:= cl-sql-oracle
pkg-tests	:= cl-sql-tests
all-pkgs	:= $(pkg) $(pkg-uffi) $(pkg-mysql) $(pkg-pg) $(pkg-pg-socket) $(pkg-aodbc) $(pkg-odbc) $(pkg-sqlite) $(pkg-sqlite3) $(pkg-tests)


UPSTREAM_VER	:= $(shell sed -n -e "s/${pkg} (\(.*\)-[0-9A-Za-z\.]).*/\1/p" < debian/changelog |head -1)

## Lisp sources
srcs-sql	:= $(wildcard sql/*.lisp)
srcs-uffi	:= $(wildcard uffi/*.lisp) $(wildcard uffi/*.c)
srcs-uffi-so	= $(wildcard uffi/*.so)
srcs-mysql	:= $(wildcard db-mysql/*.lisp) $(wildcard db-mysql/*.c)
srcs-mysql-so	=  $(wildcard db-mysql/*.so)
srcs-pg		:= $(wildcard db-postgresql/*.lisp)
srcs-pg-socket	:= $(wildcard db-postgresql-socket/*.lisp)
srcs-aodbc	:= $(wildcard db-aodbc/*.lisp)
srcs-odbc	:= $(wildcard db-odbc/*.lisp)
srcs-sqlite	:= $(wildcard db-sqlite/*.lisp)
srcs-sqlite3	:= $(wildcard db-sqlite3/*.lisp)
srcs-oracle	:= $(wildcard db-oracle/*.lisp)
srcs-tests	:= $(wildcard tests/*.lisp)

clc-base	:= usr/share/common-lisp
clc-source	:= $(clc-base)/source
clc-systems	:= $(clc-base)/systems
doc-dir		:= usr/share/doc/cl-sql

clc-clsql	:= $(clc-source)/$(plain-pkg)

clc-sql		:= $(clc-source)/clsql
lispdir-sql	:= $(clc-sql)/sql
clc-uffi	:= $(clc-source)/clsql-uffi
lispdir-uffi 	:= $(clc-uffi)/uffi
sodir-uffi 	:= usr/lib/clsql
clc-mysql	:= $(clc-source)/clsql-mysql
lispdir-mysql	:= $(clc-mysql)/db-mysql
sodir-mysql	:= usr/lib/clsql
clc-pg		:= $(clc-source)/clsql-postgresql
lispdir-pg	:= $(clc-pg)/db-postgresql
clc-pg-socket 	:= $(clc-source)/clsql-postgresql-socket
lispdir-pg-socket := $(clc-pg-socket)/db-postgresql-socket
clc-aodbc	:= $(clc-source)/clsql-aodbc
lispdir-aodbc	:= $(clc-aodbc)/db-aodbc
clc-odbc	:= $(clc-source)/clsql-odbc
lispdir-odbc	:= $(clc-odbc)/db-odbc
clc-sqlite	:= $(clc-source)/clsql-sqlite
lispdir-sqlite	:= $(clc-sqlite)/db-sqlite
clc-sqlite3	:= $(clc-source)/clsql-sqlite3
lispdir-sqlite3	:= $(clc-sqlite3)/db-sqlite3
clc-oracle	:= $(clc-source)/clsql-oracle
lispdir-oracle	:= $(clc-oracle)/db-oracle
clc-tests	:= $(clc-source)/clsql-tests
lispdir-tests	:= $(clc-tests)/tests


build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE)
	touch build-arch-stamp

build-indep:

build: build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -type f -and -name \*~ -or -name .\*~ -exec rm -f {} \;
	rm -rf doc/html
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	dh_installdirs --all  $(clc-systems) $(clc-source)
	dh_installdirs -p $(pkg) $(lispdir-sql) etc
	dh_installdirs -p $(pkg-uffi) $(lispdir-uffi) $(sodir-uffi)
	dh_installdirs -p $(pkg-pg) $(lispdir-pg)
	dh_installdirs -p $(pkg-pg-socket) $(lispdir-pg-socket)
	dh_installdirs -p $(pkg-mysql) $(lispdir-mysql) $(sodir-mysql)
	dh_installdirs -p $(pkg-aodbc) $(lispdir-aodbc)
	dh_installdirs -p $(pkg-odbc) $(lispdir-odbc)
	dh_installdirs -p $(pkg-sqlite) $(lispdir-sqlite)
	dh_installdirs -p $(pkg-sqlite3) $(lispdir-sqlite3)
	dh_installdirs -p $(pkg-oracle) $(lispdir-oracle)
	dh_installdirs -p $(pkg-tests) $(lispdir-tests)

	# Main package
	dh_install -p $(pkg) $(srcs-sql) $(lispdir-sql)
	dh_install -p $(pkg) clsql.asd $(clc-clsql)
	dh_install -p $(pkg) debian/clsql-init.lisp etc

	# UFFI
	dh_install -p $(pkg-uffi) $(srcs-uffi) $(lispdir-uffi)
	dh_install -p $(pkg-uffi) $(srcs-uffi-so) $(sodir-uffi)
	dh_install -p $(pkg-uffi) clsql-uffi.asd $(clc-uffi)

	# Backends
	dh_install -p $(pkg-mysql) $(srcs-mysql) $(lispdir-mysql)
	dh_install -p $(pkg-mysql) clsql-mysql.asd $(clc-mysql)
	dh_install -p $(pkg-mysql) $(srcs-mysql-so) $(sodir-mysql)
	dh_install -p $(pkg-pg) $(srcs-pg) $(lispdir-pg)
	dh_install -p $(pkg-pg) clsql-postgresql.asd $(clc-pg)
	dh_install -p $(pkg-pg-socket) $(srcs-pg-socket) $(lispdir-pg-socket)
	dh_install -p $(pkg-pg-socket) clsql-postgresql-socket.asd $(clc-pg-socket)
	dh_install -p $(pkg-aodbc) $(srcs-aodbc) $(lispdir-aodbc)
	dh_install -p $(pkg-aodbc) clsql-aodbc.asd $(clc-aodbc)
	dh_install -p $(pkg-odbc) $(srcs-odbc) $(lispdir-odbc)
	dh_install -p $(pkg-odbc) clsql-odbc.asd $(clc-odbc)
	dh_install -p $(pkg-sqlite) $(srcs-sqlite) $(lispdir-sqlite)
	dh_install -p $(pkg-sqlite) clsql-sqlite.asd $(clc-sqlite)
	dh_install -p $(pkg-sqlite3) $(srcs-sqlite3) $(lispdir-sqlite3)
	dh_install -p $(pkg-sqlite3) clsql-sqlite3.asd $(clc-sqlite3)
	dh_install -p $(pkg-oracle) $(srcs-oracle) $(lispdir-oracle)
	dh_install -p $(pkg-oracle) clsql-oracle.asd $(clc-oracle)

	dh_install -p $(pkg-tests) $(srcs-tests) $(lispdir-tests)
	dh_install -p $(pkg-tests) clsql-tests.asd $(clc-tests)

	# Documentation
	rm -rf doc/html
	(cd doc; tar xzf html.tar.gz; cd ..)

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i -p $(pkg) doc/html doc/clsql.pdf
	dh_installexamples -i -p $(pkg) examples/*
	dh_installchangelogs -i
	dh_lisp -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lisp -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch


.PHONY: build clean binary-indep binary-arch binary install

## cl-sql 5.2.0

=== debian/changelog ===
cl-sql (5.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Nov 2010 09:47:02 -0700

cl-sql (5.1.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Sep 2010 21:56:46 -0600

cl-sql (5.1.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Aug 2010 16:29:09 -0600

cl-sql (5.1.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Aug 2010 11:27:41 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
-Standards-Version: 3.8.4.0
+Standards-Version: 3.9.1.0
 Homepage: http://clsql.b9.com/
 Vcs-Git: git://git.b9.com/clsql.git
 Vcs-Browser: http://git.b9.com/?p=clsql.git

## cl-sql 5.3.2

=== debian/changelog ===
cl-sql (5.3.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 01 Apr 2011 12:08:02 -0600

cl-sql (5.3.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 30 Mar 2011 23:32:06 -0600

cl-sql (5.3.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 29 Mar 2011 18:25:13 -0600

## cl-sql 5.3.3

=== sql/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for CLSQL SQL interface
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
# This file, part of CLSQL, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== debian/changelog ===
cl-sql (5.3.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 12 Jun 2011 09:49:33 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 Homepage: http://clsql.b9.com/
 Vcs-Git: git://git.b9.com/clsql.git
 Vcs-Browser: http://git.b9.com/?p=clsql.git

## cl-sql 5.3.4

=== debian/changelog ===
cl-sql (5.3.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Jun 2011 13:20:12 -0600

## cl-sql 5.4.0

=== debian/changelog ===
cl-sql (5.4.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 16 Jul 2011 09:13:15 -0600

## cl-sql 6.0.0

=== debian/changelog ===
cl-sql (6.0.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 03 Aug 2011 08:47:58 -0600

## cl-sql 6.0.1

=== debian/changelog ===
cl-sql (6.0.1-1build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 16:07:14 -0800

cl-sql (6.0.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 21 Sep 2011 10:57:59 -0600

## cl-sql 6.1.0

=== debian/changelog ===
cl-sql (6.1.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 19 Dec 2011 10:13:58 -0700

## cl-sql 6.1.1

=== debian/changelog ===
cl-sql (6.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Dec 2011 19:58:29 -0700

## cl-sql 6.2.0

=== debian/changelog ===
cl-sql (6.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Apr 2012 10:05:22 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3.1
 Homepage: http://clsql.b9.com/
 Vcs-Git: git://git.b9.com/clsql.git
 Vcs-Browser: http://git.b9.com/?p=clsql.git

## cl-sql 6.3.0

=== debian/changelog ===
cl-sql (6.3.0-1) unstable; urgency=low

  * New release

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 04 Sep 2012 16:58:17 -0600

## cl-sql 6.4.0

=== debian/changelog ===
cl-sql (6.4.0-1) unstable; urgency=low

  * New release

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 19 Dec 2012 10:01:33 -0700

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 	dh_prep
 	dh_installdirs
 
-	dh_installdirs --all  $(clc-systems) $(clc-source)
+	dh_installdirs --all $(clc-source)
 	dh_installdirs -p $(pkg) $(lispdir-sql) etc
 	dh_installdirs -p $(pkg-uffi) $(lispdir-uffi) $(sodir-uffi)
 	dh_installdirs -p $(pkg-pg) $(lispdir-pg)
